:root {
  --bg: #0b0b0b;
  --text: #fff;
  --muted: #bdbdbd;
  --gradient: linear-gradient(90deg,#f5a623,#d36bff,#2dd4ff,#22c55e);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: var(--bg);
  color: var(--text);
  font-family: 'Inter', sans-serif;
}

/* ================= HEADER ================= */

header {
  position: fixed;
  top: 0;
  width: 100%;
  padding: 16px 8%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 16px;
  background: rgba(0,0,0,0.6);
  backdrop-filter: blur(10px);
  z-index: 10;
}

.logo {
  width: clamp(50px, 6vw, 70px);
  height: clamp(50px, 6vw, 70px);
  border-radius: 50%;
  object-fit: cover;
}

header h1 {
  font-family: 'Poppins', sans-serif;
  font-size: clamp(20px, 2.5vw, 28px);
  background: var(--gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

nav a {
  margin-left: 20px;
  color: var(--muted);
  text-decoration: none;
  font-size: 15px;
}

/* ================= HERO ================= */

.hero {
  height: 90vh;
  position: relative;
  overflow: hidden;
}

.hero video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center ;
}

.hero-content {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.6);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 0 10%;
}

.hero h2 {
  font-family: 'Poppins', sans-serif;
  font-size: clamp(28px, 5vw, 46px);
}

.hero span {
  background: var(--gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.btn {
  margin-top: 30px;
  padding: 14px 32px;
  border-radius: 30px;
  background: var(--gradient);
  color: #000;
  font-weight: 600;
  text-decoration: none;
}

/* ================= SECTIONS ================= */

section {
  padding: 120px 8%;
}

h3 {
  text-align: center;
  font-family: 'Poppins', sans-serif;
  margin-bottom: 40px;
  font-size: clamp(22px, 4vw, 32px);
}

h3 span {
  background: var(--gradient);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

/* ================= GRID ================= */

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 24px;
}

.card {
  padding: 40px;
  background: #121212;
  border-radius: 18px;
  text-align: center;
  transition: 0.3s;
}

.card:hover {
  transform: translateY(-8px) scale(1.02);
}

/* ================= VIDEOS ================= */

.videos {
  align-items: stretch;
}

.video-card {
  padding: 20px;
}

.video-card iframe {
  width: 100%;
  aspect-ratio: 16 / 9;
  border-radius: 14px;
  border: none;
}

.video-card p {
  margin-top: 12px;
  text-align: center;
  color: var(--muted);
  font-size: 14px;
}


/* ================= FORM ================= */

.cta form {
  max-width: 500px;
  margin: auto;
  display: grid;
  gap: 14px;
}

input, button,select {
  padding: 14px;
  border-radius: 8px;
  border: none;
}

button {
  background: var(--gradient);
  font-weight: 600;
}


/* ================= WHATSAPP ================= */

.whatsapp {
  position: fixed;
  right: 20px;
  bottom: 20px;
  background: #ffffff;
  color: #000;
  padding: 14px 22px;
  border-radius: 30px;
  font-weight: 600;
  text-decoration: none;
}

.whatsapp:hover {
  right: 20px;
  bottom: 20px;
  background: #b3f4ab;
}

/* ================= Instagram ================= */

.instagram {
  position: fixed;
  right: 20px;
  bottom: 20px;
  background: #ffffff;
  color: #000;
  padding: 14px 22px;
  border-radius: 30px;
  font-weight: 600;
  text-decoration: none;
}

.instagram:hover {
  right: 20px;
  bottom: 20px;
  background: #b3f4ab;
}

/* ================= RESPONSIVO ================= */

/* Tablet / Mobile */
@media (max-width: 768px) {
  header {
    padding: 8px 5%;
    flex-direction: column;
  }

  nav a {
    margin: 0 10px;
  }

  .hero {
    height: 70vh;
  }

  .hero-content {
    padding: 0 6%;
  }
  .logo {
    position: absolute;
    top: 8px;
    left: 5%;
  }
}


  section {
    padding: 90px 5%;
  }


/*Videos de exemplo */
.video-card {
  padding: 14px;
}

/* Mobile pequeno */
@media (max-width: 480px) {
  .hero h2 {
    font-size: 26px;
  }

  .btn {
    padding: 12px 24px;
  }
}
